FROM node:lts-alpine AS build

WORKDIR /app

RUN npm install -g pnpm

COPY . /app

RUN pnpm install
RUN pnpm run build

FROM caddy:alpine

COPY --from=build /app/dist /usr/share/caddy

EXPOSE 4321

CMD ["caddy", "file-server", "--root", "/usr/share/caddy", "--listen", ":4321"]
